Subject: sysklogd upgrade

From: Richard Lovison <[email-masked]>
Date: Thu, 6 Jun 1996 13:51:40 -0400 (EDT)

I recently upgraded from syslogd 1.3-2 to sysklogd 1.3-6 manually using
dpkg. When I started dselect I was informed that syslogd and sysklogd were
in conflict, the configuration files for syslogd were still on the system.
I proceeded to purge syslogd but was informed I couldn't because it was a
required package.  I'm not sure what is happening here.  Can anyone help?

Richard

---

From: Ian Jackson <[email-masked]>
Date: Mon, 10 Jun 96 02:14 BST

> required package.  I'm not sure what is happening here.  Can anyone help?

This is a bug.  I'll change it in dpkg 1.2.4.  You should be able to
purge a package that is marked as essential if it is no longer
installed due to having been replaced.

If syslogd is written properly there should be no problems with
syslogd 1.3-2 remaining in the `config-files' state.

Ian.